Index: cprs/trunk/CPRS-Chart/Orders/fODAllgy.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/Orders/fODAllgy.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/Orders/fODAllgy.dfm	(revision 829)
@@ -5,9 +5,7 @@
   Height = 339
   HorzScrollBar.Range = 520
-  HorzScrollBar.Visible = True
   VertScrollBar.Range = 312
-  VertScrollBar.Visible = True
-  AutoScroll = False
   Caption = 'Enter Allergy Information'
+  ExplicitHeight = 339
   PixelsPerInch = 96
   TextHeight = 13
@@ -142,4 +140,6 @@
     Top = 256
     TabOrder = 16
+    ExplicitLeft = 5
+    ExplicitTop = 256
   end
   inherited cmdAccept: TButton
@@ -148,4 +148,6 @@
     Caption = 'Accept'
     TabOrder = 13
+    ExplicitLeft = 441
+    ExplicitTop = 256
   end
   inherited cmdQuit: TButton
@@ -153,4 +155,6 @@
     Top = 283
     TabOrder = 14
+    ExplicitLeft = 441
+    ExplicitTop = 283
   end
   inherited pnlMessage: TPanel
@@ -158,9 +162,12 @@
     Top = 253
     TabOrder = 15
+    ExplicitLeft = 20
+    ExplicitTop = 253
     inherited memMessage: TRichEdit
       Left = 41
+      ExplicitLeft = 41
     end
   end
-  object cboReactionType: TORComboBox
+  object cboReactionType: TORComboBox [15]
     Left = 7
     Top = 96
@@ -186,5 +193,5 @@
     CharsNeedMatch = 1
   end
-  object grpObsHist: TRadioGroup
+  object grpObsHist: TRadioGroup [16]
     Left = 364
     Top = 11
@@ -200,5 +207,5 @@
     OnClick = grpObsHistClick
   end
-  object memComments: TRichEdit
+  object memComments: TRichEdit [17]
     Left = 282
     Top = 142
@@ -210,5 +217,5 @@
     OnKeyUp = memCommentsKeyUp
   end
-  object lstSelectedSymptoms: TORListBox
+  object lstSelectedSymptoms: TORListBox [18]
     Left = 147
     Top = 143
@@ -226,5 +233,5 @@
     OnChange = ControlChange
   end
-  object ckNoKnownAllergies: TCheckBox
+  object ckNoKnownAllergies: TCheckBox [19]
     Left = 8
     Top = 18
@@ -235,5 +242,5 @@
     OnClick = ckNoKnownAllergiesClick
   end
-  object cboOriginator: TORComboBox
+  object cboOriginator: TORComboBox [20]
     Left = 210
     Top = 22
@@ -263,5 +270,5 @@
     CharsNeedMatch = 1
   end
-  object cboSymptoms: TORComboBox
+  object cboSymptoms: TORComboBox [21]
     Left = 7
     Top = 143
@@ -289,5 +296,5 @@
     CharsNeedMatch = 1
   end
-  object btnCurrent: TButton
+  object btnCurrent: TButton [22]
     Left = 137
     Top = 14
@@ -298,5 +305,5 @@
     OnClick = btnCurrentClick
   end
-  object calObservedDate: TORDateBox
+  object calObservedDate: TORDateBox [23]
     Left = 365
     Top = 62
@@ -309,5 +316,5 @@
     Caption = 'Reaction Date/Time'
   end
-  object cboSeverity: TORComboBox
+  object cboSeverity: TORComboBox [24]
     Left = 365
     Top = 97
@@ -333,5 +340,5 @@
     CharsNeedMatch = 1
   end
-  object btnRemove: TButton
+  object btnRemove: TButton [25]
     Left = 210
     Top = 224
@@ -342,5 +349,5 @@
     OnClick = btnRemoveClick
   end
-  object btnDateTime: TButton
+  object btnDateTime: TButton [26]
     Left = 147
     Top = 224
@@ -351,6 +358,66 @@
     OnClick = btnDateTimeClick
   end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = lstAllergy'
+        'Status = stsDefault')
+      (
+        'Component = cboReactionType'
+        'Status = stsDefault')
+      (
+        'Component = grpObsHist'
+        'Status = stsDefault')
+      (
+        'Component = memComments'
+        'Status = stsDefault')
+      (
+        'Component = lstSelectedSymptoms'
+        'Status = stsDefault')
+      (
+        'Component = ckNoKnownAllergies'
+        'Status = stsDefault')
+      (
+        'Component = cboOriginator'
+        'Status = stsDefault')
+      (
+        'Component = cboSymptoms'
+        'Status = stsDefault')
+      (
+        'Component = btnCurrent'
+        'Status = stsDefault')
+      (
+        'Component = calObservedDate'
+        'Status = stsDefault')
+      (
+        'Component = cboSeverity'
+        'Status = stsDefault')
+      (
+        'Component = btnRemove'
+        'Status = stsDefault')
+      (
+        'Component = btnDateTime'
+        'Status = stsDefault')
+      (
+        'Component = memOrder'
+        'Status = stsDefault')
+      (
+        'Component = cmdAccept'
+        'Status = stsDefault')
+      (
+        'Component = cmdQuit'
+        'Status = stsDefault')
+      (
+        'Component = pnlMessage'
+        'Status = stsDefault')
+      (
+        'Component = memMessage'
+        'Status = stsDefault')
+      (
+        'Component = frmODAllergy'
+        'Status = stsDefault'))
+  end
   object dlgReactionDateTime: TORDateTimeDlg
-    FMDateTime = 2981202
+    FMDateTime = 2981202.000000000000000000
     DateOnly = False
     RequireTime = False
